> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kulmipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List frequently used beneficiaries

> List your most frequently used recipients for a provider.



## OpenAPI

````yaml /openapi.yml get /send-money/beneficiaries/frequently_used
openapi: 3.0.0
info:
  title: KulmiPay API
  description: >-
    Public API reference for KulmiPay collections, Send Money, wallets, refunds,
    and M-Pesa account configuration.
  version: 1.0.0
servers:
  - url: https://sandbox.kulmipay.com/api/v1
    description: Sandbox
  - url: https://app.kulmipay.com/api/v1
    description: Live
security:
  - SecretAPIKeyScheme: []
tags:
  - name: Collections
    description: >-
      Create hosted checkout sessions, M-Pesa STK Push requests, and payment
      status checks.
  - name: Send Money
    description: Initiate, approve, cancel, and track payout files.
  - name: Wallet as a Service
    description: Manage wallets, statements, wallet funding, and internal transfers.
  - name: Refunds
    description: Create and retrieve refund requests through the chargebacks API.
  - name: Bring Your M-Pesa Till/PayBill Number
    description: Configure M-Pesa Till and PayBill accounts.
  - name: Webhooks
    description: Retrieve webhook configuration and delivery events.
paths:
  /send-money/beneficiaries/frequently_used:
    get:
      tags:
        - Send Money
      summary: List frequently used beneficiaries
      description: List your most frequently used recipients for a provider.
      operationId: list_frequently_used_beneficiaries
      parameters:
        - name: provider
          in: query
          required: true
          description: Provider to retrieve frequently used recipients for.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    account:
                      type: string
                    provider:
                      type: string
                      enum:
                        - MPESA-B2C
                        - MPESA-B2B
                        - PESALINK
                        - P2P
                    account_reference:
                      type: string
                      nullable: true
                    is_active:
                      type: boolean
components:
  securitySchemes:
    SecretAPIKeyScheme:
      type: http
      scheme: bearer
      description: Use your KulmiPay secret key as the Bearer token.
      x-default: ISSecretKey_test_xxxxxxxxxxxxxxxx

````